Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Mutex Class Reference

STK mutex class. More...

`#include <Mutex.h>`

Inheritance diagram for stk::Mutex:

List of all members.

## Public Member Functions
| Mutex ()
| Default constructor.
| ~Mutex ()
| Class destructor.
void | lock (void)
| Lock the mutex.
void | unlock (void)
| Unlock the mutex.
void | wait (void)
| Wait indefinitely on the mutex condition variable.
void | signal (void)
| Signal the condition variable.

## Detailed Description

STK mutex class.

This class provides a uniform interface for cross-platform mutex use. On Linux and IRIX systems, the pthread library is used. Under Windows, critical sections are used.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

void stk::Mutex::wait | ( | void |  | ) |

Wait indefinitely on the mutex condition variable.

The mutex must be locked before calling this function, and then subsequently unlocked after this function returns.

void stk::Mutex::signal | ( | void |  | ) |

Signal the condition variable.

The mutex must be locked before calling this function, and then subsequently unlocked after this function returns.

The documentation for this class was generated from the following file:

- Mutex.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.